#
# spec file for package H2rename
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           H2rename
Version:        0.8.1
Release:        lp150.1.5
Summary:        Renaming files and directories in masses based on rules
License:        GPL-3.0
Group:          Productivity/File utilities
Url:            https://www.heise.de/ct/artikel/H2rename-Dateien-und-Verzeichnisse-umbenennen-292168.html
Source:         ftp://ftp.heise.de/pub/ct/ctsi/h2rename-src-%{version}.zip
Source1:        H2rename.desktop
Source2:        H2rename.svg
BuildRequires:  libqt4-devel
BuildRequires:  unzip
BuildRequires:  update-desktop-files

%description
h2rename allows to recursively search and replace strings in file and
directory names. All changes can be previewed before they are actually
carried out. A special heuristic automatically creates rules to repair
broken special characters like German umlauts.
 
%prep
%setup -q -n h2rename-src-0.8.1

%build
qmake H2rename.pro PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
install -Dm 755 %{name} --target-directory %{buildroot}%{_bindir}/
install -Dm 644 %{SOURCE1} --target-directory %{buildroot}%{_datadir}/applications/
install -Dm 644 %{SOURCE2} --target-directory %{buildroot}%{_datadir}/icons/hicolor/scaleable/
%suse_update_desktop_file H2rename

%files
%license COPYING
%{_datadir}/applications/H2rename.desktop
%{_datadir}/icons/hicolor/scaleable/H2rename.svg
%{_bindir}/H2rename
%dir /usr/share/icons/hicolor
%dir /usr/share/icons/hicolor/scaleable

%changelog
* Thu Dec  7 2017 sebix+novell.com@sebix.at
- initial packge for version 0.8.1
